//+------------------------------------------------------------------+
//          Moving average slope changing alert                      |
//+------------------------------------------------------------------+

#property copyright "Edas"
#property link      "edas@tdd.lt"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern bool SoundON=true;
extern bool EmailON=false;

extern int MA_Mode = 1; //0=sma, 1=ema, 2=smma, 3=lwma, 4=lsma
extern int MA_Period =  10;
extern int PriceMode = 0;//0=close, 1=open, 2=high, 3=low, 4=median(high+low)/2, 5=typical(high+low+close)/3, 6=weighted(high+low+close+close)/4


string SymbolsArray[13]={"","EURUSD","GBPUSD","USDJPY","AUDUSD","USDCAD","USDCHF","EURGBP","EURAUD","EURCHF","EURJPY","GBPJPY","GBPCHF"};
//ideal is to scan all Symbols with for cycle

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators


//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 


//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int limit, i, counter;
   double tmp=0;
   double MAnow, MAprevious, MAprevious2;
   int counted_bars=IndicatorCounted();

   string Message1, Message2;
   Message1 = "MA slope alert - EMA cross UP: " + Symbol() + " " + Period() + " @ " + DoubleToStr(Bid,Digits);
   Message2 = "MA slope alert - EMA crossed DOWN: " + Symbol() + " " + Period() + " @ " + DoubleToStr(Bid,Digits);

//       for (i = 2; i==13; i++)  I want to scan all symbols
   {
//         MAnow = iMA(SymbolsArray[i], PERIOD_M1, MA_Period, 0, MA_Mode, PriceMode, 0); This line does not work
         MAnow = iMA("EURUSD", PERIOD_M1, MA_Period, 0, MA_Mode, PriceMode, 0);
         MAnow = iMA("EURUSD", PERIOD_M1, MA_Period, 0, MA_Mode, PriceMode, 0);
         MAprevious = iMA("EURUSD", PERIOD_M1, MA_Period, 0, MA_Mode, PriceMode, 1);
         MAprevious2 = iMA("EURUSD", PERIOD_M1, MA_Period, 0, MA_Mode, PriceMode, 2);

      // is MA on last bar close is higher than bar ago, and bar ago is lower than two bars ago (symbol changed direction at last bar)
      if (MAnow > MAprevious && MAprevious < MAprevious2)
      {
         if (SoundON) Alert(Message1);
        

      }


      if (MAnow < MAprevious && MAprevious > MAprevious2)
      {
         if (SoundON) Alert(Message2);
        
        
      }
     
   }

   return(0);
}

